aboutsummaryrefslogtreecommitdiff
path: root/testdata/beku_test.git/hooks/commit-msg.sample
diff options
context:
space:
mode:
authorShulhan <ms@kilabit.info>2022-01-30 11:33:37 +0700
committerShulhan <ms@kilabit.info>2022-01-30 11:33:37 +0700
commitb6c96bbfd14baff70932dd9fb4722d8e32f38a58 (patch)
treeb57c79df3134c6759aa827316a72a385f3b6ff86 /testdata/beku_test.git/hooks/commit-msg.sample
parentb5f28512de8cf3fcc7fe31fb7c11570816f86a0f (diff)
downloadbeku-b6c96bbfd14baff70932dd9fb4722d8e32f38a58.tar.xz
all: replace beku_test in testdata with gitsubmodule
Previously, the beku_test is bare clone of git repository stored as is. This cause an initial clone of the beku repository itself does not recognize it as git repository, which make the test fail: go test -v -coverprofile=cover.out ./... || rm -f cover.out fatal: '/home/ms/go/src/git.sr.ht/~shulhan/beku/testdata/beku_test.git' does not appear to be a git repository fatal: Could not read from remote repository. Please make sure you have the correct access rights and the repository exists. 2022/01/30 10:56:19 gitInstall: Clone: exit status 128 FAIL github.com/shuLhan/beku 0.008s This changes make the testdata/beku_test.git as git submodule, to make the test run well.
Diffstat (limited to 'testdata/beku_test.git/hooks/commit-msg.sample')
-rwxr-xr-xtestdata/beku_test.git/hooks/commit-msg.sample24
1 files changed, 0 insertions, 24 deletions
diff --git a/testdata/beku_test.git/hooks/commit-msg.sample b/testdata/beku_test.git/hooks/commit-msg.sample
deleted file mode 100755
index b58d118..0000000
--- a/testdata/beku_test.git/hooks/commit-msg.sample
+++ /dev/null
@@ -1,24 +0,0 @@
-#!/bin/sh
-#
-# An example hook script to check the commit log message.
-# Called by "git commit" with one argument, the name of the file
-# that has the commit message. The hook should exit with non-zero
-# status after issuing an appropriate message if it wants to stop the
-# commit. The hook is allowed to edit the commit message file.
-#
-# To enable this hook, rename this file to "commit-msg".
-
-# Uncomment the below to add a Signed-off-by line to the message.
-# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
-# hook is more suited to it.
-#
-# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
-# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
-
-# This example catches duplicate Signed-off-by lines.
-
-test "" = "$(grep '^Signed-off-by: ' "$1" |
- sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
- echo >&2 Duplicate Signed-off-by lines.
- exit 1
-}